package paketUrlaubsgeld;

public class Urlaubsgeld
{
	private double urlaubsgeld, gehalt, familienstandfaktor, kinderzuschlag;
	private int kinderzahl;
	private String familienstand;

public Urlaubsgeld()
{}

public void setGehalt(double pGehalt)
{
gehalt = pGehalt;
}

public void setKinderzahl(int pKinderzahl)
{
kinderzahl = pKinderzahl;
}

public void setFamilienstand(String pFamilienstand)
{
familienstand = pFamilienstand;
}

public double getUrlaubsgeld()
{
return urlaubsgeld;
}

public void berechnen()
{
if (familienstand.equals("l"))
{
    familienstandfaktor = 30;
}
else
{
    familienstandfaktor = 60;
}

if(kinderzahl > 3)
{
    kinderzuschlag = 300;
}
else
{
    kinderzuschlag = 200;
}
urlaubsgeld = gehalt * familienstandfaktor / 100 + kinderzahl * kinderzuschlag;
}


}
